Subject: Re: bug#37667: 27.0.50; Tab Bar display problems with more than 5 tabs

From: Juri Linkov <[email-masked]>
Date: Wed, 16 Oct 2019 23:58:21 +0300

>>>> 3. Then truncate tab names to fit all tabs into the first line;
>>>
>>> Rather not.
>>
>> But all web browsers truncate tab names.
>
> Firefox here does some strange shading before truncating.  I'm not
> fond of it but my version here doesn't support tab mix plus any more.

Maybe PaleMoon still supports TabMixPlus.

>> I tried a variable-pitch font for tab bars, and it looks good
>> and makes tab widths smaller, so more tabs fits into the tab-bar.
>
> Variable sized tabs can be a pain.  When you want to kill a row of
> tabs by clicking on the "x" you have to move the mouse in between.

Indeed fixed-width tabs in browsers help with this, but at the cost
of tab truncation.  Since no one wants tab truncation in Emacs, we need
to support hscrolling.